function dataHandler (val, oldVal) {
  if (!oldVal) {
    this.renderChart(this.chartData, this.options)
  } else {
    this.$nextTick(() => {
      console.log('updating...')
      this.$data._chart.update()
    })
  }
}

export const reactiveData = {
  data () {
    return {
      chartData: null
    }
  },

  watch: {
    'chartData': {
      handler: dataHandler,
      deep: true
    }
  }
}

export const reactiveProp = {
  props: {
    chartData: {
      required: true
    }
  },
  watch: {
    'chartData': {
      handler: dataHandler,
      deep: true
    }
  }
}

export default {
  reactiveData,
  reactiveProp
}
